curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/monitor/server-health/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/monitor/server-health/", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/monitor/server-health/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/monitor/server-health/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/monitor/server-health/", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/monitor/server-health/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Returns node-level health time-series (memory, disk, CPU load/utilization, disk read/write IOPS, and per-interface network in/out) for the load balancer’s underlying node over the requested interval. The node_id path parameter is the load balancer’s node_detail.node_id. Each metric is returned as aligned labels (timestamps) and results arrays.
Returns time-series health metrics for a single node belonging to the auto scaling group - memory, disk and CPU utilisation, disk IOPS, and per-NIC network in/out throughput. Each metric is a { labels, results } pair (labels are timestamps, results are values). The path takes the node id (from Active Node Details), not the scale group id. Use the interval query parameter to set the look-back window in seconds.
Server Health and Get Node Server Health Metrics are the same request.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Path parameter node_id.
Query Parameters
Section titled “Query Parameters”Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>Time interval in seconds for health checks
Example
3600API key for authenticating the Server Health request
Example
<API_KEY>Specifies the target location for the server health request
Example
<LOCATION>Responses
Section titled “Responses”Successful response
object
HTTP status code indicating the server health
object
object
object
object
object
object
object
object
object
object
object
object
Unique identifier for the item
object
Identifier of the item in the server health response
object
Unique identifier for the item
object
object
Unique identifier for the item
object
Identifier of the item in the server health response
object
Unique identifier for the item
object
object
Identifier of the network item
object
Unique identifier for the item
object
Unique identifier for the item
object
object
Identifier of the item in the response
object
Unique identifier for the item
object
Identifier for the item in the network health response
object
Status message indicating the result of the health check
Example
{ "code": 200, "data": { "memory": { "labels": [ "10:43AM" ], "results": [ "9.8" ] }, "disk": { "labels": [ "10:37AM" ], "results": [ "5.2" ] }, "cpu": { "cpu_load": { "labels": [ "10:42AM" ], "results": [ "0.0" ] }, "cpu_utilization": { "labels": [ "10:38AM" ], "results": [ "0.18" ] } }, "iops": { "disk_iops_read": { "labels": [ "10:37AM" ], "results": [ "21029.0" ] }, "disk_iops_write": { "labels": [ "10:37AM" ], "results": [ "4278.0" ] } }, "network": { "ens3]": { "in": { "item_id": "123456", "labels": [ "10:52AM" ], "results": [ "6930.2" ] }, "out": { "item_id": "123456", "labels": [ "10:52AM" ], "results": [ "2.59" ] }, "total": { "item_id": "112345", "labels": [ "10:41AM" ], "results": [ "7125.72" ] } }, "ens4]": { "in": { "item_id": "123456", "labels": [ "10:52AM" ], "results": [ "2.57" ] }, "out": { "item_id": "123456", "labels": [ "10:52AM" ], "results": [ "3.5" ] }, "total": { "item_id": "123456", "labels": [ "10:41AM" ], "results": [ "5.88" ] } }, "eth0]": { "in": { "item_id": "123456" }, "out": { "item_id": "123456" }, "total": { "item_id": "123456" } }, "eth1]": { "in": { "item_id": "123456" }, "out": { "item_id": "123456" }, "total": { "item_id": "123456" } } } }, "message": "Success"}